Package: org.gradle.tooling.model.idea

## [Java] Interface IdeaCompilerOutput

- IDEA compiler output settings.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `getInheritOutputDirs()` whether current module should inherit project's output directory.
    `File` | `getOutputDir()` directory to store module's production classes and resources.
    `File` | `getTestOutputDir()` directory to store module's test classes and resources.

- - ### Method Detail

    - #### public boolean getInheritOutputDirs()

      whether current module should inherit project's output directory.

      Returns:
        inherit output dirs flag
      See Also:
        getOutputDir()
        getTestOutputDir()

    - #### @Nullable public File getOutputDir()

      directory to store module's production classes and resources.

      Returns:
        directory to store production output. non-`null` if getInheritOutputDirs() returns `'false'`

    - #### @Nullable public File getTestOutputDir()

      directory to store module's test classes and resources.

      Returns:
        directory to store test output. non-`null` if getInheritOutputDirs() returns `'false'`